%define prefix /usr
%define name gottet
%define version 1.1.1
%define release %mkrel 1
%define url http://gottcode.org/gottet/

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv3
Group:		Games/Arcade
URL:		%{url}
Source:		http://gottcode.org/gottet/%{name}-%{version}.tar.xz
Summary:	Gottet is a tetris clone
Summary(de):	Gottet ist ein Tetris Klon
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	qt5core-devel
BuildRequires:	qt5gui-devel
Requires:	%{_lib}qt5core5
Obsoletes:	%name < %version

%description
Gottet is a tetris-like game for Linux.

#german
%description -l de
Gottet ist ein Tetris Spiel für Linux.

%prep

%setup -q -n %{name}-%{version}

%build

qmake PREFIX=%{prefix}

%make

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=%{buildroot}


mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Name=Gottet
GenericName=Tetris Game
GenericName[de]=Tetris Spiel
Comment=%{summary}
Comment[de]=%{summary}
Icon=gottet
Exec=gottet %F
Terminal=false
Categories=GNOME;GTK;Game;LogicGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF

mkdir -p %{buildroot}%{_datadir}/pixmaps
mv %{buildroot}%{_iconsdir}/hicolor/48x48/apps/gottet.png %{buildroot}%{_datadir}/pixmaps/gottet.png

%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%doc COPYING ChangeLog
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/translations/%{name}_*.qm
%{_iconsdir}/hicolor/*
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/pixmaps/gottet.png
%{_datadir}/appdata/%{name}.appdata.xml
%{_mandir}/man6/%{name}*

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Mon Nov 23 2015 daniel <meisssw01 at gmail.com> 1.1.1-1pclos2015
- 1.1.1

* Tue Mar 13 2012 Neal <nealbrks0 at gmail dot com> 1.0.4-1pclos2012
- process

* Mon Mar 12 2012 leiche <meisssw01 at gmail.com> 1.0.4-1pclos2012
- initial packages
